Zabbix Documentation 3.4

3.04.05.0 (current)| In development:5.2 (devel)| Unsupported:1.82.02.22.43.23.44.24.4Guidelines

User Tools

Site Tools


ru:manual:installation:upgrade_packages:debian_ubuntu

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
ru:manual:installation:upgrade_packages:debian_ubuntu [2018/03/26 12:25]
neogan
ru:manual:installation:upgrade_packages:debian_ubuntu [2018/07/18 14:43] (current)
dotneft
Line 16: Line 16:
  
   # service zabbix-proxy stop   # service zabbix-proxy stop
-   + 
-  ​ +<note important>​Известночто ​имеется ​возможно обновления только сервера и использование старых, ещё ​не обновленные прокси ​будут ​отправлять данные ​на новый сервер (хотя прокси не смогут обновить ​свою ​конфигурацию). Такой поход, ​однако, не рекомендуется ​и не поддерживается Zabbix и, выбирая ​его, вы действуете на свой ​страх и риск.</​note>​
-<note important>​Известно что возможно обновить только сервери использовать необновленные прокси отправляющие ​данные новому ​серверу (хотя прокси не могут обновить ​их конфигурацию) ​Этот подход, ​тем ​не менее, не рекомендован ​и не поддерживается Zabbix и следует ​его ​использовать на свой риск. </​note>​+
  
 == 2 Резервная копия существующей базы данных Zabbix == == 2 Резервная копия существующей базы данных Zabbix ==
Line 31: Line 30:
   # mkdir /​opt/​zabbix-backup/​   # mkdir /​opt/​zabbix-backup/​
   # cp /​etc/​zabbix/​zabbix_server.conf /​opt/​zabbix-backup/​   # cp /​etc/​zabbix/​zabbix_server.conf /​opt/​zabbix-backup/​
-  # cp /etc/httpd/conf.d/​zabbix.conf ​ /​opt/​zabbix-backup/​+  # cp /etc/apache2/conf-enabled/​zabbix.conf /​opt/​zabbix-backup/​
  
 Файлы PHP и бинарные файлы Zabbix: Файлы PHP и бинарные файлы Zabbix:
Line 46: Line 45:
  
 Для **Debian 9** выполните:​ Для **Debian 9** выполните:​
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+stretch_all.deb+  # wget https://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+stretch_all.deb
   # dpkg -i zabbix-release_3.4-1+stretch_all.deb   # dpkg -i zabbix-release_3.4-1+stretch_all.deb
- 
- 
-Для **Debian 7** выполните:​ 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+wheezy_all.deb 
-  # dpkg -i zabbix-release_3.4-1+wheezy_all.deb 
   ​   ​
 Для **Debian 8** выполните:​ Для **Debian 8** выполните:​
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+jessie_all.deb+  # wget https://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+jessie_all.deb
   # dpkg -i zabbix-release_3.4-1+jessie_all.deb   # dpkg -i zabbix-release_3.4-1+jessie_all.deb
   ​   ​
-Для **Ubuntu 14.04** выполните:​ +Для **Debian 7** выполните:​ 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+trusty_all.deb +  # wget https://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+wheezy_all.deb 
-  # dpkg -i zabbix-release_3.4-1+trusty_all.deb+  # dpkg -i zabbix-release_3.4-1+wheezy_all.deb 
 +   
 +Для **Ubuntu 18.04** выполните:​
  
-Для **Ubuntu 16.06** выполните:+  # wget https://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+bionic_all.deb 
 +  # dpkg -i zabbix-release_3.4-1+bionic_all.deb
  
-  ​# wget http://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+xenial_all.deb+Для **Ubuntu 16.04** выполните:​ 
 + 
 +  ​# wget https://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+xenial_all.deb
   # dpkg -i zabbix-release_3.4-1+xenial_all.deb   # dpkg -i zabbix-release_3.4-1+xenial_all.deb
 +
 +Для **Ubuntu 14.04** выполните:​
 +
 +  # wget https://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+trusty_all.deb
 +  # dpkg -i zabbix-release_3.4-1+trusty_all.deb
  
 Обновите информацию о репозитории. Обновите информацию о репозитории.
Line 79: Line 83:
 == 6 Просмотрите параметры конфигурации компонент == == 6 Просмотрите параметры конфигурации компонент ==
  
-Ознакомтесь с заметками обновления для ​подробной информации об [[:ru:manual/​installation/​upgrade_notes_340#​​configuration_parameters|обязательных изменениях]] компонент+Для получения более подробных ​сведений ​смотрите ​заметки ​по обновлению на предмет [[:ru/manual/​installation/​upgrade_notes_340#​параметры_конфигурации|обязательных изменений]].
  
-Для ознакомления с новыми параметрами,​ смотрите раздел [[:​ru/​manual/​introduction/​whatsnew340#​параметры_конфигурации|Что нового]].+Для ознакомления с новыми необязательными параметрами, пожалуйста, смотрите раздел [[:​ru/​manual/​introduction/​whatsnew340#​параметры_конфигурации|Что нового]].
  
 == 7 Запустите процессы Zabbix == == 7 Запустите процессы Zabbix ==
Line 89: Line 93:
   # service zabbix-proxy start   # service zabbix-proxy start
   # service zabbix-agent start   # service zabbix-agent start
-  ​ 
-  ​ 
-== 8 Очистите кэш браузера и куки ==  
  
-После обновления для нормальной работы веб-интерфейса Zabbix возможно потребуется очистить ​кэш браузера и куки. ​+== 8 Очистите ​cookies ​и кэш ​в веб-браузере ==
  
-=== Обновления минорных версий ===+После обновления ​вам, возможно, потребуется очистить cookies веб-браузера и кэш веб-браузера,​ чтобы Zabbix ​веб-интерфейс работал правильно.
  
-Обновлять ​минорные версии ​Zabbix 3.4.x (например с 3.4.1 на 3.4.3) очень легко. ​+=== Обновление между ​минорными версиями ===
  
-Для обновления ​просто запустите команду:+Имеется возможность ​обновления ​минорные версии 3.4.x (например, с 3.4.1 на 3.4.3). Процедура очень проста.
  
-  # apt-get install --only-upgrade zabbix-* +Для минорного обновления Zabbix, пожалуйста, выполните:
-   +
-Для минорного обновления Zabbix ​сервер демона, запустите:​+
  
-  ​apt-get install --only-upgrade zabbix-server +  ​$ sudo apt install --only-upgrade ​'zabbix.*' 
-   + 
-Для минорного обновления Zabbix агент ​демона, запустите:​+Для обновления минорной версии Zabbix сервера,​ пожалуйста,​ выполните:​ 
 + 
 +  $ sudo apt install --only-upgrade '​zabbix-server.*'​ 
 + 
 +Для ​обновления ​минорной версии ​Zabbix агента,​ пожалуйста, выполните:
  
-  ​apt-get install --only-upgrade zabbix-agent+  ​$ sudo apt install --only-upgrade ​'zabbix-agent.*'